import React from "react";
import { StoryObj } from "@storybook/react";
declare const meta: {
    title: string;
    component: ({ children, startContent, endContent, color, size, radius, variant, isIcon, onClick, style, }: import("./button").ButtonProps) => React.JSX.Element;
    tags: string[];
    args: {
        size: "medium";
        children: string;
        radius: "medium";
        variant: "solid";
        isIcon: false;
    };
    argTypes: {
        children: {
            options: string[];
            mapping: {
                Regular: string;
                Icon: React.JSX.Element;
                Empty: string;
            };
        };
        startContent: {
            options: string[];
            mapping: {
                Icon: React.JSX.Element;
            };
        };
        endContent: {
            options: string[];
            mapping: {
                Icon: React.JSX.Element;
            };
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Solid: Story;
export declare const Outline: Story;
export declare const Text: Story;
export declare const SolidColor: Story;
export declare const OutlineColor: Story;
export declare const TextColor: Story;
export declare const Small: Story;
export declare const Medium: Story;
export declare const Large: Story;
export declare const NoRadius: Story;
export declare const SmallRadius: Story;
export declare const MediumRadius: Story;
export declare const LargeRadius: Story;
export declare const FullRadius: Story;
export declare const IconSolid: Story;
export declare const IconOutline: Story;
export declare const IconText: Story;
export declare const StartIconSolid: Story;
export declare const StartIconOutline: Story;
export declare const StartIconText: Story;
export declare const EmptySolid: Story;
export declare const EmptyOutline: Story;
export declare const EmptyText: Story;
export declare const EndIconSolid: Story;
export declare const EndIconOutline: Story;
export declare const EndIconText: Story;
