import React from "react";
import { StoryObj } from "@storybook/react";
declare const meta: {
    title: string;
    component: ({ children, size, radius, color, startContent, endContent, variant }: import("./chip").ChipProps) => React.JSX.Element;
    tags: string[];
    args: {
        size: "medium";
        children: string;
        radius: "full";
        variant: "solid";
    };
    argTypes: {
        children: {
            options: string[];
            mapping: {
                Regular: string;
                Icon: React.JSX.Element;
                Empty: string;
            };
        };
        startContent: {
            options: string[];
            mapping: {
                Icon: React.JSX.Element;
            };
        };
        endContent: {
            options: string[];
            mapping: {
                Icon: React.JSX.Element;
            };
        };
    };
};
export default meta;
type Story = StoryObj<typeof meta>;
export declare const Solid: Story;
export declare const Outline: Story;
export declare const SolidColor: Story;
export declare const OutlineColor: Story;
export declare const Small: Story;
export declare const Medium: Story;
export declare const Large: Story;
