import React, { ReactNode } from 'react';

type Radius = "none" | "small" | "medium" | "large" | "full";

type TextSize = "small" | "medium" | "large";

interface ButtonProps {
    children?: ReactNode;
    startContent?: ReactNode;
    endContent?: ReactNode;
    color?: string;
    size?: TextSize;
    radius?: Radius;
    variant?: "solid" | "outline" | "text";
    style?: React.CSSProperties;
    isIcon?: boolean;
    onClick?: () => void;
}
declare const Button: ({ children, startContent, endContent, color, size, radius, variant, isIcon, onClick, style, }: ButtonProps) => React.JSX.Element;

interface ChipProps {
    children?: ReactNode;
    startContent?: ReactNode;
    endContent?: ReactNode;
    size?: TextSize;
    radius?: Radius;
    color?: string;
    variant?: "solid" | "outline";
}
declare const Chip: ({ children, size, radius, color, startContent, endContent, variant }: ChipProps) => React.JSX.Element;

export { Button, Chip };
